%define ver	1.0c17
%define rel	1
%define ser	1
%define pfx	/usr

Summary: The Ultimate IRC Client
Name: BitchX
Version: %{ver}
Release: %{rel}
Serial: %{ser}
Prefix: %{pfx}
Packager: David Walluck <david@bitchx.org>
Vendor: %{vendor}
Source0: ftp://ftp.bitchx.org/pub/source/BitchX-%{version}.tar.gz
Url: http://www.bitchx.org/
Copyright: distributable
Group: Applications/Internet
BuildRoot: /var/tmp/%{name}-%{version}-root
Requires: glibc >= 2.1, ncurses >= 5.0, BitchX-common = %{version}, tcl >= 8.0
BuildRequires: glibc-devel, ncurses-devel, tcl

%description 
BitchX is a VERY heavily modified ircII client.  It includes many things such 
as built in CDCC (XDCC) offering, built in flood protection, etc. It is easier
to script things in BitchX because unlike plain, vanilla ircII, half the 
script does not have to be devoted to changing the appearance of ircII. It also
includes many other new features, such as port scanning, a CD player, a mail
client, etc.

%package common
Summary: Help files, documentation, and extras for the BitchX IRC client
Group: Applications/Internet

%description common 
These are the help files and other documentation for the BitchX IRC client. It
is required that you install this package so that you at least have all of the
files needed by BitchX. 

This package requires either the BitchX or the gtkBitchX package to do anything
usefull.

%prep
%setup -q -n BitchX
find . -type f -name '*~'| xargs rm -rf
find . -type d -name 'CVS'| xargs rm -rf  

%build
%ifarch i386 i486 i586 i686
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="-s" ./configure --prefix=%{prefix} --with-tcl --with-plugins
%else
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="-s" ./configure --prefix=%{prefix} --with-plugins
%endif
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} install
ln -sf BitchX-%{version} $RPM_BUILD_ROOT%{prefix}/bin/BitchX

install -m 644 %{SOURCE1} .

install -d $RPM_BUILD_ROOT/usr/share/gnome/apps/Internet
install -m 644 doc/BitchX.desktop $RPM_BUILD_ROOT/usr/share/gnome/apps/Internet

install -d $RPM_BUILD_ROOT%{prefix}/share/pixmaps
install -m 664 doc/BitchX.png $RPM_BUILD_ROOT%{prefix}/share/pixmaps

cat >ircII.servers <<EOF
EOF
install -m 644 ircII.servers $RPM_BUILD_ROOT%{prefix}/lib/bx

strip --strip-unneeded $RPM_BUILD_ROOT%{prefix}/lib/bx/plugins/*.so

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{prefix}/bin/BitchX
%{prefix}/bin/BitchX-%{version}
%{prefix}/lib/bx/wserv
%{prefix}/bin/scr-bx 
%{prefix}/share/gnome/apps/Internet/BitchX.desktop

%files common
%defattr(-,root,root)
%doc COMPILE-PROBLEMS Changes INSTALLATION README README.GTK README.autoconf doc/*
%dir %{prefix}/lib/bx
%config %{prefix}/lib/bx/ircII.servers
%{prefix}/lib/bx/BitchX.*
%{prefix}/lib/bx/help
%{prefix}/lib/bx/plugins
%dir %{prefix}/lib/bx/script
%config %{prefix}/lib/bx/script/bxglobal
%config %{prefix}/lib/bx/script/bxtcl.tcl
%{prefix}/lib/bx/script/*.gz
%{prefix}/lib/bx/translation
%{prefix}/share/pixmaps/BitchX.png
%{prefix}/man/man1/BitchX.1

%changelog
* Mon Oct 18 1999 David Walluck <david@bitchx.org>
- initial release of spec for inclusion in BitchX
